---
title: InternalError
slug: Web/JavaScript/Reference/Global_Objects/InternalError
tags:
  - Class
  - InternalError
  - JavaScript
  - Object
---
<div>{{JSRef}} {{non-standard_header}}</div>

<p>The <strong><code>InternalError</code> object</strong> indicates an error that occurred internally in the JavaScript engine.</p>

<p>Example cases are mostly when something is too large, e.g.:</p>

<ul>
 <li>"too many switch cases",</li>
 <li>"too many parentheses in regular expression",</li>
 <li>"array initializer too large",</li>
 <li>"too much recursion".</li>
</ul>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{jsxref("InternalError/InternalError", "InternalError()")}}</dt>
 <dd>Creates a new <code>InternalError</code> object.</dd>
</dl>

<h2 id="Instance_properties">Instance properties</h2>

<dl>
 <dt>{{jsxref("Error.prototype.message", "InternalError.prototype.message")}}</dt>
 <dd>Error message. Inherited from {{jsxref("Error")}}.</dd>
 <dt>{{jsxref("Error.prototype.name", "InternalError.prototype.name")}}</dt>
 <dd>Error name. Inherited from {{jsxref("Error")}}.</dd>
 <dt>{{jsxref("Error.prototype.fileName", "InternalError.prototype.fileName")}}</dt>
 <dd>Path to file that raised this error. Inherited from {{jsxref("Error")}}.</dd>
 <dt>{{jsxref("Error.prototype.lineNumber", "InternalError.prototype.lineNumber")}}</dt>
 <dd>Line number in file that raised this error. Inherited from {{jsxref("Error")}}.</dd>
 <dt>{{jsxref("Error.prototype.columnNumber", "InternalError.prototype.columnNumber")}}</dt>
 <dd>Column number in line that raised this error. Inherited from {{jsxref("Error")}}.</dd>
 <dt>{{jsxref("Error.prototype.stack", "InternalError.prototype.stack")}}</dt>
 <dd>Stack trace. Inherited from {{jsxref("Error")}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Too_much_recursion">Too much recursion</h3>

<p>This recursive function runs 10 times, as per the exit condition.</p>

<pre class="brush: js notranslate">function loop(x) {
  if (x &gt;= 10) // "x &gt;= 10" is the exit condition
    return;
  // do stuff
  loop(x + 1); // the recursive call
}
loop(0);</pre>

<p>Setting this condition to an extremely high value, won't work:</p>

<pre class="brush: js example-bad notranslate">function loop(x) {
  if (x &gt;= 1000000000000)
    return;
  // do stuff
  loop(x + 1);
}
loop(0);

// InternalError: too much recursion</pre>

<p>For more information, see <a href="/en-US/docs/Web/JavaScript/Reference/Errors/Too_much_recursion">InternalError: too much recursion.</a></p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.InternalError")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Error")}}</li>
 <li>
  <p><a href="/en-US/docs/Web/JavaScript/Reference/Errors/Too_much_recursion">InternalError: too much recursion</a></p>
 </li>
</ul>
